system-config-printer.py crashed with TypeError in get_authentication(): update expected at most 1 arguments, got 2

Bug #1726853 reported by Maxence on 2017-10-24
26
This bug affects 4 people
Affects Status Importance Assigned to Milestone
system-config-printer (Ubuntu)
Medium
Till Kamppeter

Bug Description

After changing my NT domain passowrd, got NT_STATUS_ACCESS_DENIED when trying to print something to samba printer.

Rather than prompting for a new password, system-config-printer just crash...

not sure this is really link to my password update as I upgrade my system from 17.04 to 17.10 as the same time...

$ lsb_release -rd
Description: Ubuntu 17.10
Release: 17.10

$ apt-cache policy system-config-printer
system-config-printer:
  Installed: 1.5.9+20170825-0ubuntu1
  Candidate: 1.5.9+20170825-0ubuntu1
  Version table:
 *** 1.5.9+20170825-0ubuntu1 500
        500 http://ch.archive.ubuntu.com/ubuntu artful/main amd64 Packages
        500 http://ch.archive.ubuntu.com/ubuntu artful/main i386 Packages
        100 /var/lib/dpkg/status

ProblemType: Crash
DistroRelease: Ubuntu 17.10
Package: system-config-printer 1.5.9+20170825-0ubuntu1
ProcVersionSignature: Ubuntu 4.13.0-16.19-lowlatency 4.13.4
Uname: Linux 4.13.0-16-lowlatency x86_64
ApportVersion: 2.20.7-0ubuntu3
Architecture: amd64
CrashCounter: 1
CurrentDesktop: XFCE
Date: Tue Oct 24 14:34:30 2017
ExecutablePath: /usr/share/system-config-printer/system-config-printer.py
InstallationDate: Installed on 2016-05-03 (539 days ago)
InstallationMedia: Ubuntu-Studio 16.04 LTS "Xenial Xerus" - Release amd64 (20160420.1)
InterpreterPath: /usr/bin/python3.6
Lpstat:
 device for DCP9020CDW: dnssd://Brother%20DCP-9020CDW._ipp._tcp.local/?uuid=e3248000-80ce-11db-8000-30055c0d34df
 device for FollowMe: smb://print/FOLLOWME_PS
 device for HP-Officejet-4630: socket://192.168.1.116:9100
 device for HP_Officejet_4630_series_AD35AD: dnssd://HP%20Officejet%204630%20series%20%5BAD35AD%5D._ipp._tcp.local/?uuid=1c852a4d-b800-1f08-abcd-d0bf9cad35ad
 device for KyoceraMda: socket://192.168.1.112:9100
MachineType: LENOVO 20FAS11D00
PackageArchitecture: all
Papersize: a4
PpdFiles:
 Error: command ['fgrep', '-H', '*NickName', '/etc/cups/ppd/DCP9020CDW.ppd', '/etc/cups/ppd/HP_Officejet_4630_series_AD35AD.ppd', '/etc/cups/ppd/HP-Officejet-4630.ppd', '/etc/cups/ppd/KyoceraMda.ppd', '/etc/cups/ppd/FollowMe.ppd'] failed with exit code 2: grep: /etc/cups/ppd/DCP9020CDW.ppd: Permission denied
 grep: /etc/cups/ppd/HP_Officejet_4630_series_AD35AD.ppd: Permission denied
 grep: /etc/cups/ppd/HP-Officejet-4630.ppd: Permission denied
 grep: /etc/cups/ppd/KyoceraMda.ppd: Permission denied
 grep: /etc/cups/ppd/FollowMe.ppd: Permission denied
ProcCmdline: /usr/bin/python3 /usr/share/system-config-printer/system-config-printer.py
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-4.13.0-16-lowlatency root=UUID=5cbe7176-d524-4b66-8e26-e53e6f331691 ro quiet splash vt.handoff=7
Python3Details: /usr/bin/python3.6, Python 3.6.3, python3-minimal, 3.6.3-0ubuntu2
PythonArgs: ['/usr/share/system-config-printer/system-config-printer.py']
PythonDetails: /usr/bin/python2.7, Python 2.7.14, python-minimal, 2.7.14-2ubuntu1
SourcePackage: system-config-printer
Title: system-config-printer.py crashed with TypeError in get_authentication(): update expected at most 1 arguments, got 2
UpgradeStatus: Upgraded to artful on 2017-10-21 (2 days ago)
UserGroups: adm audio cdrom dip docker lpadmin plugdev postgres sambashare sudo vboxusers
dmi.bios.date: 01/15/2016
dmi.bios.vendor: LENOVO
dmi.bios.version: N1CET37W (1.05 )
dmi.board.asset.tag: Not Available
dmi.board.name: 20FAS11D00
dmi.board.vendor: LENOVO
dmi.board.version: SDK0J40705 WIN
dmi.chassis.asset.tag: No Asset Information
dmi.chassis.type: 10
dmi.chassis.vendor: LENOVO
dmi.chassis.version: None
dmi.modalias: dmi:bvnLENOVO:bvrN1CET37W(1.05):bd01/15/2016:svnLENOVO:pn20FAS11D00:pvrThinkPadT460s:rvnLENOVO:rn20FAS11D00:rvrSDK0J40705WIN:cvnLENOVO:ct10:cvrNone:
dmi.product.family: ThinkPad T460s
dmi.product.name: 20FAS11D00
dmi.product.version: ThinkPad T460s
dmi.sys.vendor: LENOVO

Maxence (maxence+meow+ninja) wrote :
tags: removed: need-duplicate-check
Changed in system-config-printer (Ubuntu):
importance: Undecided → Medium
information type: Private → Public
Changed in system-config-printer (Ubuntu):
assignee: nobody → Till Kamppeter (till-kamppeter)
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in system-config-printer (Ubuntu):
status: New → Confirmed
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers